Subject: New C compiler problem

From: [email-masked] (Chuck Nelson)
Date: Mon, 7 Aug 1995 17:19:42 -0500

Many thanks to those who helped. I needed to run "build clean" 
This did create a new problem though.

First my aix system did not have the file in_system.h. It did have
in_systm.h so I renamed it. I also checked another aix system and 
noticed the same problem. 

Now...When running "build aix" I receive the following messages:
>#./build aix
>make args are : 
>make opts are : 
>
>Linking Makefiles.
>
>Making support library.
>        cc -O -DDEBUG   -c getusershell.c
>        cc -O -DDEBUG   -c fnmatch.c
>        cc -O -DDEBUG   -c strcasestr.c
>        cc -O -DDEBUG   -c strsep.c
>        cc -O -DDEBUG   -c authuser.c
>        cc -O -DDEBUG   -c strdup.c
>        rm -f libsupport.a
>        ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strsep.o
authuser.o
> strdup.o
>        ranlib libsupport.a
>
>Making ftpd.
>        cc -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
>"ftpd.c", line 2733.0: 1506-215 (S) Too many arguments for macro va_start.
>The error code from the last failed command is 1.
>
>Make Quitting.
>
>Making ftpcount.
>        cc -O -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c
vers.o -l
>support
>cc: 1501-228 input file vers.o not found
>The error code from the last failed command is -4.
>
>Make Quitting.
>
Any suggestions on this one? 
  
Thanks
  
Chuck Nelson
Tech. Support Analyst
Wichita State University